### Method

# EBackend BackendFactory new_backend

since: 3.4

#### Declaration [src]

    EBackend*
    e_backend_factory_new_backend (
      EBackendFactory* factory,
      ESource* source
    )

#### Description [src]

Returns a new `EBackend` instance for `source`.

Available since: 3.4

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `EBackend`

A new `EBackend` instance for `source`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.